Subject: [OPS-AREA] Documenting rules for the Private Enterprise Numbers registry: draft-liang-iana-pen-00

From: Alexey Melnikov <[email-masked]>
Date: Tue, 08 May 2012 21:35:16 +0100

Hi,
Benoit suggested that I post this email message here.

draft-liang-iana-pen is trying to formalize and document rules for the 
Private Enterprise Numbers registry 
<http://www.iana.org/assignments/enterprise-numbers>. In particular the 
purpose of this document is to document
a) what is allowed to be registered (what characters should be allowed 
in an Enterprise name, what is an Enterprise)
b) under what conditions an entry can be changed and what kind of 
documentation is required.

The document is being worked on by IANA (Pearl with some help from 
Michelle), I was asked to help out. While the document is mostly 
documenting existing practice, it is also trying to specify some rules 
about how the registry is to be operated, because certain (most?) things 
were never written down.

Pearl and I will appreciate reviews and feedback on the document. One of 
the major issues is currently outstanding is "what is considered to be 
an Enterprise?". While Universities and non profit organizations are 
considered Enterprises, it is not very clear whether different 
departments of a University, or subsidiaries of the same bank in 
different countries are considered to be different enterprises or not. A 
more difficult case is whether to allow different products from the same 
vendor to be allocated different PENs.
Yet another example is allocation of special PENs for RFCs (e.g. RFC 
5103.html, section  6.1). Is this Ok?
(All of these are examples of what people asked to register.) As 
currently there is no guidelines, there is no way for IANA to say "no".

Somewhat related to this: another position might be that there are 
enough PENs for everyone and that there is really no need to be 
restrictive in the case of this registry.

Any feedback would be appreciated.

Thank you,
Alexey

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Wed, 09 May 2012 17:03:11 +0200

Mmm.. In IANA considerations I see:

    o Removal of Private Enterprise Numbers:

    A Contact Name can request to remove the corresponding PEN allocation
    if the resource is no longer in used or the resource does not meet
    the needs.  (In a case when the Contact Name is no longer with the
    Company/Organization, the Modification procedure described above MUST
    be used first.)  Such request does not happen often and regularly.

    Requests can only be fulfilled upon verification by IANA and/or
    subject matter experts.

    If the removal request is honoured, the entry is marked as
    "Unassigned" and can be reallocated by IANA later unless specified
    otherwise, i.e. by marking the entry as "Reserved".

How can we be assured that the once assigned PEN is not being used
anywhere in the digital world? What is someone is still using it in
some obsoleted/no-longer-supported product? Should he/she run the
risk that it conflicts with a possible new assignment/allocation?

I would rather see that it will be marked "returned on yyyy-mm-dd
by xxxxxxx" and then that it not be re-used/allocated unless we
run out of numbers far in the future (at that time we can decide
if this makes sense, or possibly define another arc in
iso.org.dod.internet.private.enterprise, for example:
   iso.org.dod.internet.private.enterprise.2^32-1.PEN
where 2^32-1 is a special PEN that indicates that the PEN
is longer than 32bits.

Bert

On 5/8/12 10:35 PM, Alexey Melnikov wrote:
> draft-liang-iana-pen is trying to formalize and document rules for the Private Enterprise Numbers registry
> <http://www.iana.org/assignments/enterprise-numbers>. In particular the purpose of this document is to document
> a) what is allowed to be registered (what characters should be allowed in an Enterprise name, what is an Enterprise)
> b) under what conditions an entry can be changed and what kind of documentation is required.
>
> The document is being worked on by IANA (Pearl with some help from Michelle), I was asked to help out. While the document is mostly
> documenting existing practice, it is also trying to specify some rules about how the registry is to be operated, because certain
> (most?) things were never written down.
>
> Pearl and I will appreciate reviews and feedback on the document. One of the major issues is currently outstanding is "what is
> considered to be an Enterprise?". While Universities and non profit organizations are considered Enterprises, it is not very clear
> whether different departments of a University, or subsidiaries of the same bank in different countries are considered to be
> different enterprises or not. A more difficult case is whether to allow different products from the same vendor to be allocated
> different PENs.
> Yet another example is allocation of special PENs for RFCs (e.g. RFC 5103.html, section 6.1). Is this Ok?
> (All of these are examples of what people asked to register.) As currently there is no guidelines, there is no way for IANA to say
> "no".
>
> Somewhat related to this: another position might be that there are enough PENs for everyone and that there is really no need to be
> _______________________________________________
> OPS-AREA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ops-area
>

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 9 May 2012 09:00:44 -0700

Hi -

> From: "Alexey Melnikov" <[email-masked]>
> To: <[email-masked]>
> Sent: Tuesday, May 08, 2012 1:35 PM
> Subject: [OPS-AREA] Documenting rules for the Private Enterprise Numbers registry: draft-liang-iana-pen-00
...
> documentation is required.

I'm glad that it tries to cover the IANA side of merger / acquisition case.
However, the language about "new owner" glosses over the realities
of corporate takeovers.  I honestly don't know *who* the "new owner" would
be after some of the mergers I've experienced.  (I do know *what* the "new
owner" would be in most cases.)  I think more guidance might also be needed
on the handling of corporate splits and spin-offs, particularly ones splitting
what had previously been considered a single group or product line.
This may be more of a problem for the administrator of the number space
than for IANA, but it probably should be addressed somewhere, particularly
since it interracts with how some management systems classify devices
they discover.

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 9 May 2012 09:05:10 -0700

Hi -

> From: "Bert Wijnen (IETF)" <[email-masked]>
> To: "Alexey Melnikov" <[email-masked]>; <[email-masked]>
> Cc: <[email-masked]>
> Sent: Wednesday, May 09, 2012 8:03 AM
> Subject: Re: [OPS-AREA] Documenting rules for the Private Enterprise Numbers registry: draft-liang-iana-pen-00
...
> risk that it conflicts with a possible new assignment/allocation?

Agreed.  Even if the assignee never used the arc, we have no way of knowing
whether someone else has built knowledge of that one-time assignment
into a product.

Randy

---

From: David Harrington <[email-masked]>
Date: Wed, 09 May 2012 09:51:06 -0700

+1

We should plan for reuse only when needed in the future.
--
David Harrington
Internet Engineering Task Force (IETF)
[email-masked]
+1-603-828-1401

On 5/9/12 9:05 AM, "Randy Presuhn" <[email-masked]> wrote:

>> Subject: Re: [OPS-AREA] Documenting rules for the Private Enterprise
>>Numbers registry: draft-liang-iana-pen-00
>...

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 10 May 2012 10:44:07 +0200

+1

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of David Harrington
> Sent: Wednesday, May 09, 2012 7:51 PM
> To: Randy Presuhn; [email-masked]

---

From: Benoit Claise <[email-masked]>
Date: Fri, 11 May 2012 12:30:55 +0200

+1

Regards, Benoit.
>> On 5/9/12 9:05 AM, "Randy Presuhn"<[email-masked]>
>> wrote:
>>
>>> Hi -
>>>
>>>> From: "Bert Wijnen (IETF)"<[email-masked]>
>>>> To: "Alexey Melnikov"<[email-masked]>;
>>>> <[email-masked]>
>>>> Cc:<[email-masked]>

---

From: Benoit Claise <[email-masked]>
Date: Fri, 11 May 2012 12:34:23 +0200

Alexey,

First of all, I appreciate your draft, which wants to formalize the PEN 
allocation process.
One comment below.
> <http://www.iana.org/assignments/enterprise-numbers>. In particular 
> the purpose of this document is to document
> about how the registry is to be operated, because certain (most?) 
> things were never written down.
>
> Pearl and I will appreciate reviews and feedback on the document. One 
> of the major issues is currently outstanding is "what is considered to 
> be an Enterprise?". While Universities and non profit organizations 
> are considered Enterprises, it is not very clear whether different 
> different countries are considered to be different enterprises or not. 
> A more difficult case is whether to allow different products from the 
> same vendor to be allocated different PENs.
Since you discuss PENs, that would great to have some more guidelines on 
how the PENs should and _should not_ be used. So this RFC5103 example 
should be discussed.

Regards, Benoit.

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 24 May 2012 13:09:49 +0100

Hi Bert,

> risk that it conflicts with a possible new assignment/allocation?

Yes, good points.

> where 2^32-1 is a special PEN that indicates that the PEN

I've changed this in my copy of -01.